#include <Stepper.h> 
// definition stepper motor
const int stepsMotorPerRevolution = 32;
// definition steps per shaft revolution 32x64 gear ratio
const int stepsPerRevolution = 2048;
// definition pin capteur de force
const int capteurPin = A0;
// threshold poids
const int poids_minimum = 300;
// vitesse de rotation
const int motorSpeed = 500;
// nombre de photos per scan tourne complete
const int numPhotos = 12;
// step entre photos
const int stepPhoto = (stepsPerRevolution / numPhotos);
// tare value
int zero;
// Starts stepper communication
Stepper myStepper = Stepper(stepsMotorPerRevolution, 8, 9, 10, 11);

void setup() {
  Serial.begin(9600);S
  myStepper.setSpeed(motorSpeed);

  pinMode(capteurPin, INPUT_PULLUP);
  delay(100);
  zero = analogRead(capteurPin); // tarer

  myStepper.step(2048); // complete turn
  delay(1000);
  myStepper.step(2048);
  delay(1000);
}
void loop() {
  // lire le capteur:
  int capteurReading = analogRead(capteurPin);
  Serial.println(capteurReading);
  delay(100);
  // vitesse du moteur:
  if (capteurReading > poids_minimum) {
    // step l'intervalle entre photos:
    myStepper.step(stepPhoto);
    delay(500); // delay pour prendre la photo
  }
}
